# -*- encoding: utf-8 -*-
# stub: ssrfs-up 0.0.20 ruby lib

Gem::Specification.new do |s|
  s.name = "ssrfs-up".freeze
  s.version = "0.0.20"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "homepage_uri" => "https://github.com/chanzuckerberg/ssrf-proxy" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jake Heath".freeze]
  s.date = "2021-08-11"
  s.description = "A gem that simplifies connecting to out AWS Lambda used to proxy requests. Make your third-party requests secure by default.".freeze
  s.email = ["jheath@chanzuckerberg.com".freeze]
  s.homepage = "https://github.com/chanzuckerberg/ssrf-proxy".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Proxy all requests to avoid SSRF.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aws-sdk-lambda>.freeze, ["~> 1", ">= 1"])
    s.add_runtime_dependency(%q<typhoeus>.freeze, ["~> 1.0", ">= 1.0.1"])
    s.add_runtime_dependency(%q<ssrf_filter>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.6", ">= 3.6.0"])
  else
    s.add_dependency(%q<aws-sdk-lambda>.freeze, ["~> 1", ">= 1"])
    s.add_dependency(%q<typhoeus>.freeze, ["~> 1.0", ">= 1.0.1"])
    s.add_dependency(%q<ssrf_filter>.freeze, ["~> 1.0"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.6", ">= 3.6.0"])
  end
end
